> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/36.-mutaciya-dobavit-neskolko-comments-k-vybrannym-notes.md).

# 36. Мутация: добавить несколько "Comments" к выбранным "Notes"

Эта мутация позволяет добавить несколько комментариев к выбранной заметке.

{% hint style="success" %}
Максимальное количество комментариев для сохранения — 25.
{% endhint %}

* Комментарий может быть связан с полем через его уникальный идентификатор `fieldUuid` и с заметкой через `noteUuid`.
* Содержимое комментария можно передать с помощью атрибута `текст` Если содержимое должно быть многострочным, атрибут `текст` должен содержать строку с символами переноса строки `\\n` чтобы разделять строки. Например: `"Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."`.
* Можно указать определённую дату и время, связанные с комментарием, используя атрибут `датаСоздания` в формате ISO8601.

Пример запроса приведён ниже:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "4-й комментарий из нескольких.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "5-й комментарий из нескольких.\\nВторая строка комментария.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    датаСоздания
    updatedDate
    текст
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-piny/36.-mutaciya-dobavit-neskolko-comments-k-vybrannym-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
